Bug 61887 - "User account has expired" with Solaris NIS server
Summary: "User account has expired" with Solaris NIS server
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: pam (Show other bugs)
(Show other bugs)
Version: skipjack-beta1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61590
TreeView+ depends on / blocked
 
Reported: 2002-03-25 17:49 UTC by jmbastia
Modified: 2007-04-18 16:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-10 10:41:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jmbastia 2002-03-25 17:49:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020310

Description of problem:
We're using a Solaris 8 NIS server for accounts, and on my test machine with
Skipjack-beta1, when users try to login, the error message "User account has
expired" flashes for a split second and the login prompt returns.  The same
error message appears in /var/log/secure


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to login
2. "User account has expired" flashes briefly
3. Get booted out
	

Actual Results:  Returned to login prompt

Expected Results:  Should have been logged in correctly and given a shell

Additional info:

Comment 1 Simon Matter 2002-03-26 16:44:56 UTC
Same problem here with Mandrake 7.0 NIS Server.

I have installed NIS on our Mandrake 7.0 Server today and it's the first time in
my life I'm using NIS. I have configured a test installation of RH 7.2 and it
worked. Then reinstalled the test system with skipjack-beta1 some hours later
and wanted to try NIS with autofs. Didn't work, felt stupid, couldn't even
login. Found the same "User account has expired" in /var/log/secure. Now I'm
happy to know it wasn't me.

Comment 2 Nalin Dahyabhai 2002-03-27 16:31:02 UTC
Can you try updating to authconfig-4.2.7 (in today's Raw Hide), running
authconfig to get it to generate a new /etc/pam.d/system-auth, and see if that
fixes things?

Comment 3 jmbastia 2002-03-27 20:12:54 UTC
The updated authconfig RPM fixed it up.  Users with accounts on the NIS server
can login now.

Thanks!

Comment 4 Nalin Dahyabhai 2002-03-28 19:32:20 UTC
simon.matter: could you please also check that this update fixes it for you? 
I'm 99% certain that this it will, but I'd rather be sure before closing this
report.

Comment 5 Brent Fox 2002-04-09 15:24:08 UTC
simon.matter:  Any more info here?  We need your input soon.

Comment 6 Brent Fox 2002-04-09 15:39:05 UTC
Adding simon.matter to the cc: list in hopes he adds more information.

Comment 7 Simon Matter 2002-04-10 10:41:25 UTC
Sorry, it seems everything slept at redhat last week so I didn't check bugzilla.
I don't know why but I expected to be on the cc anyway :)

I just reinstalled Skipjack-beta1 here with the autoconfig update and the bug is
fixed!

Thanks

Comment 8 Nalin Dahyabhai 2002-04-10 16:48:23 UTC
Excellent!  Marking as resolved->rawhide.


Note You need to log in before you can comment on or make changes to this bug.